Class CaseAttachmentServiceGrpc.CaseAttachmentServiceBlockingStub (0.77.0)

public static final class CaseAttachmentServiceGrpc.CaseAttachmentServiceBlockingStub extends AbstractBlockingStub<CaseAttachmentServiceGrpc.CaseAttachmentServiceBlockingStub>

A stub to allow clients to do limited synchronous rpc calls to service CaseAttachmentService.

A service to manage file attachments for Google Cloud support cases.

Inheritance

java.lang.Object > io.grpc.stub.AbstractStub > io.grpc.stub.AbstractBlockingStub > CaseAttachmentServiceGrpc.CaseAttachmentServiceBlockingStub

Methods

build(Channel channel, CallOptions callOptions)

protected CaseAttachmentServiceGrpc.CaseAttachmentServiceBlockingStub build(Channel channel, CallOptions callOptions)
Parameters
Name Description
channel io.grpc.Channel
callOptions io.grpc.CallOptions
Returns
Type Description
CaseAttachmentServiceGrpc.CaseAttachmentServiceBlockingStub
Overrides
io.grpc.stub.AbstractStub.build(io.grpc.Channel,io.grpc.CallOptions)

getAttachment(GetAttachmentRequest request)

public Attachment getAttachment(GetAttachmentRequest request)

Retrieve an attachment associated with a support case. EXAMPLES: cURL: <code><code>shell attachment="projects/some-project/cases/23598314/attachments/0684M00000P3h1fQAB" curl &#92; --header "Authorization: Bearer $(gcloud auth print-access-token)" &#92; "https://cloudsupport.googleapis.com/v2/$attachment" </code></code><code> Python: </code><code><code>python import googleapiclient.discovery api_version = "v2" supportApiService = googleapiclient.discovery.build( serviceName="cloudsupport", version=api_version, discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}", ) request = ( supportApiService.cases() .attachments() .get(name="projects/some-project/cases/43595344/attachments/0684M00000P3h1fQAB") ) print(request.execute()) </code></code>

Parameter
Name Description
request GetAttachmentRequest
Returns
Type Description
Attachment

listAttachments(ListAttachmentsRequest request)

public ListAttachmentsResponse listAttachments(ListAttachmentsRequest request)

List all the attachments associated with a support case.

Parameter
Name Description
request ListAttachmentsRequest
Returns
Type Description
ListAttachmentsResponse